public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-shells/zsh/
Date: Tue, 29 Aug 2017 22:26:43 +0000 (UTC)	[thread overview]
Message-ID: <1504045594.362bd5a6bd1fee31e38ee439fadb4e5ca7011b32.polynomial-c@gentoo> (raw)

commit:     362bd5a6bd1fee31e38ee439fadb4e5ca7011b32
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 29 22:22:50 2017 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Tue Aug 29 22:26:34 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=362bd5a6

app-shells/zsh: Bump to version 5.4.2

Package-Manager: Portage-2.3.8, Repoman-2.3.3

 app-shells/zsh/Manifest         |   2 +
 app-shells/zsh/zsh-5.4.2.ebuild | 218 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 220 insertions(+)

diff --git a/app-shells/zsh/Manifest b/app-shells/zsh/Manifest
index 72c3a8796c3..3a741d9ad0c 100644
--- a/app-shells/zsh/Manifest
+++ b/app-shells/zsh/Manifest
@@ -8,3 +8,5 @@ DIST zsh-5.3.1.tar.xz 2928832 SHA256 fc886cb2ade032d006da8322c09a7e92b2309177811
 DIST zsh-5.3.tar.xz 2928684 SHA256 76f82cfd5ce373cf799a03b6f395283f128430db49202e3e3f512fb5a19d6f8a SHA512 b34da1a062954ccb166b0a22fa48b0d08bdb8f50fd96cb391f04887c0bf416e771ceaa8af8fa7da2dc2e6f7c3ecce5c92c4e3bee21fd93e467849c8febc021b0 WHIRLPOOL 9d52e36528c2272e2de33144bd76ddb50e505ecc2dec13e332c9e9185be1e919b5f4276de052b0d558d5f809c0437d1a85491924a6febd143dcfced53c323c81
 DIST zsh-5.4.1-doc.tar.xz 3197560 SHA256 b8b1a40aeec852806ad2b74b0a0c534320bf517e2fe2a087c0c9d39e75dc29f1 SHA512 2cc2c87dd408fba68a483fb33323abb2d3ecd66c2f4042fd4e1cff13d83df819075f54ef72c9ab6dfc98638948653e4210f2b8c0ea5c40e3b993e93bd77ee8a0 WHIRLPOOL d279964f59386d9a4cecf53998bb90b5c99b9331a06641bbe352445f27f8d6868214ea257e238e3179bdda0a22e46d4716853209ae4f01ad232ffe7615dec785
 DIST zsh-5.4.1.tar.xz 2972824 SHA256 94cbd57508287e8faa081424509738d496f5f41e32ed890e3a5498ce05d3633b SHA512 c666c54b05e2707e3a3cf9a87a17863792f0c89ec14f5fdc85a3064f26249cfba42a2953bc76bb90205fb87a08c203a165a5240c9fd6c489c13d8cc82ee6e979 WHIRLPOOL efc33f3bfc79013dd51c4cde14c99fafe51ee18b69d2aaaa6d244d1cc3fe2845633edb9183bf2db0e6df02cc4329ca3d59e1dacba9328ed68c72f0e7b8dac35e
+DIST zsh-5.4.2-doc.tar.xz 3198880 SHA256 5229cc93ebe637a07deb5b386b705c37a50f4adfef788b3c0f6647741df4f6bd SHA512 5dcf561380ec46358754a0a03224152cb0db197d8a1558c6457342a6fd0ec6ea43bc3c1c1a79390a2a6034e09e0e668466962462ab14e90807170436a36f82b7 WHIRLPOOL 52bd2e26704c4a547ab2f0d0c256618995f32f3698dd3b6074e0fa340984dcbd0cf5fba31a9f4058a80d3daaad266f94eaea18a0e8a8abfbe237da45e654f254
+DIST zsh-5.4.2.tar.gz 4482413 SHA256 957bcdb2c57f64c02f673693ea5a7518ef24b6557aeb3a4ce222cefa6d74acc9 SHA512 5eaa2ff3dc8052dfb50d2be19bfeed1856b00f7c2dc698129c95c2373a516ee61dba5b42ded390ac20b171abe352b1875f177a4dda8fdc15a4f2a05bb7a024e2 WHIRLPOOL a8edf0bda87c56694f4774e071375f251106c6650d6956fc12007d4f1d9b2b1728a35432b611677a9db2c89ce1d6e30c0d5e068bacfcb03b008bb08379d4a031

diff --git a/app-shells/zsh/zsh-5.4.2.ebuild b/app-shells/zsh/zsh-5.4.2.ebuild
new file mode 100644
index 00000000000..dfbabed7e84
--- /dev/null
+++ b/app-shells/zsh/zsh-5.4.2.ebuild
@@ -0,0 +1,218 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit flag-o-matic prefix
+
+if [[ ${PV} == 9999* ]] ; then
+	inherit git-r3 autotools
+	EGIT_REPO_URI="git://git.code.sf.net/p/zsh/code"
+else
+	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+	SRC_URI="http://www.zsh.org/pub/${P}.tar.gz
+		doc? ( http://www.zsh.org/pub/${P}-doc.tar.xz )"
+fi
+
+DESCRIPTION="UNIX Shell similar to the Korn shell"
+HOMEPAGE="http://www.zsh.org/"
+
+LICENSE="ZSH gdbm? ( GPL-2 )"
+SLOT="0"
+IUSE="caps debug doc examples gdbm maildir pcre static unicode"
+
+RDEPEND="
+	>=sys-libs/ncurses-5.1:0=
+	static? ( >=sys-libs/ncurses-5.7-r4:0=[static-libs] )
+	caps? ( sys-libs/libcap )
+	pcre? (
+		>=dev-libs/libpcre-3.9
+		static? ( >=dev-libs/libpcre-3.9[static-libs] )
+	)
+	gdbm? ( sys-libs/gdbm )
+	!<sys-apps/baselayout-2.4.1
+"
+DEPEND="sys-apps/groff
+	${RDEPEND}"
+PDEPEND="
+	examples? ( app-doc/zsh-lovers )
+"
+if [[ ${PV} == 9999* ]] ; then
+	DEPEND+=" app-text/yodl
+		doc? (
+			sys-apps/texinfo
+			app-text/texi2html
+			virtual/latex-base
+		)"
+fi
+
+src_prepare() {
+	if [[ ${PV} != 9999* ]]; then
+		# fix zshall problem with soelim
+		ln -s Doc man1 || die
+		mv Doc/zshall.1 Doc/zshall.1.soelim || die
+		soelim Doc/zshall.1.soelim > Doc/zshall.1 || die
+
+		# add openrc specific options for init.d completion
+		eapply "${FILESDIR}"/${PN}-5.3-init.d-gentoo.diff
+	fi
+
+	cp "${FILESDIR}"/zprofile-2 "${T}"/zprofile || die
+	eprefixify "${T}"/zprofile || die
+	if use prefix ; then
+		sed -i -e 's|@ZSH_PREFIX@||' -e '/@ZSH_NOPREFIX@/d' "${T}"/zprofile || die
+	else
+		sed -i -e 's|@ZSH_NOPREFIX@||' -e '/@ZSH_PREFIX@/d' -e 's|""||' "${T}"/zprofile || die
+	fi
+
+	eapply_user
+
+	if [[ ${PV} == 9999* ]] ; then
+		sed -i "/^VERSION=/s/=.*/=${PV}/" Config/version.mk || die
+		eautoreconf
+	fi
+}
+
+src_configure() {
+	local myconf=(
+		--bindir="${EPREFIX}"/bin
+		--libdir="${EPREFIX}"/usr/$(get_libdir)
+		--enable-etcdir="${EPREFIX}"/etc/zsh
+		--enable-runhelpdir="${EPREFIX}"/usr/share/zsh/${PV%_*}/help
+		--enable-fndir="${EPREFIX}"/usr/share/zsh/${PV%_*}/functions
+		--enable-site-fndir="${EPREFIX}"/usr/share/zsh/site-functions
+		--enable-function-subdirs
+		--with-tcsetpgrp
+		$(use_enable maildir maildir-support)
+		$(use_enable pcre)
+		$(use_enable caps cap)
+		$(use_enable unicode multibyte)
+		$(use_enable gdbm )
+	)
+
+	if use static ; then
+		myconf+=( --disable-dynamic )
+		append-ldflags -static
+	fi
+	if use debug ; then
+		myconf+=(
+			--enable-zsh-debug
+			--enable-zsh-mem-debug
+			--enable-zsh-mem-warning
+			--enable-zsh-secure-free
+			--enable-zsh-hash-debug
+		)
+	fi
+
+	if [[ ${CHOST} == *-darwin* ]]; then
+		myconf+=( --enable-libs=-liconv )
+		append-ldflags -Wl,-x
+	fi
+
+	econf "${myconf[@]}"
+
+	if use static ; then
+		# compile all modules statically, see Bug #27392
+		# removed cap and curses because linking failes
+		sed -e "s,link=no,link=static,g" \
+			-e "/^name=zsh\/cap/s,link=static,link=no," \
+			-e "/^name=zsh\/curses/s,link=static,link=no," \
+			-i "${S}"/config.modules || die
+		if ! use gdbm ; then
+			sed -i '/^name=zsh\/db\/gdbm/s,link=static,link=no,' \
+				"${S}"/config.modules || die
+		fi
+	fi
+}
+
+src_compile() {
+	default
+
+	if [[ ${PV} == 9999* ]] && use doc ; then
+		emake -C Doc everything
+	fi
+}
+
+src_test() {
+	addpredict /dev/ptmx
+	local i
+	for i in C02cond.ztst V08zpty.ztst X02zlevi.ztst Y01completion.ztst Y02compmatch.ztst Y03arguments.ztst ; do
+		rm "${S}"/Test/${i} || die
+	done
+	emake check
+}
+
+src_install() {
+	emake DESTDIR="${D}" install $(usex doc "install.info" "")
+
+	insinto /etc/zsh
+	doins "${T}"/zprofile
+
+	keepdir /usr/share/zsh/site-functions
+	insinto /usr/share/zsh/${PV%_*}/functions/Prompts
+	newins "${FILESDIR}"/prompt_gentoo_setup-1 prompt_gentoo_setup
+
+	local i
+
+	# install miscellaneous scripts (bug #54520)
+	sed -e "s:/usr/local/bin/perl:${EPREFIX}/usr/bin/perl:g" \
+		-e "s:/usr/local/bin/zsh:${EPREFIX}/bin/zsh:g" \
+		-i {Util,Misc}/* || die
+	for i in Util Misc ; do
+		insinto /usr/share/zsh/${PV%_*}/${i}
+		doins ${i}/*
+	done
+
+	# install header files (bug #538684)
+	insinto /usr/include/zsh
+	doins config.h Src/*.epro
+	for i in Src/{zsh.mdh,*.h} ; do
+		sed -e 's@\.\./config\.h@config.h@' \
+			-e 's@#\(\s*\)include "\([^"]\+\)"@#\1include <zsh/\2>@' \
+			-i "${i}"
+		doins "${i}"
+	done
+
+	dodoc ChangeLog* META-FAQ NEWS README config.modules
+
+	if use doc ; then
+		pushd "${WORKDIR}/${PN}-${PV%_*}" >/dev/null
+		docinto html
+		dodoc Doc/*.html
+		insinto /usr/share/doc/${PF}
+		doins Doc/zsh.{dvi,pdf}
+		popd >/dev/null
+	fi
+
+	docinto StartupFiles
+	dodoc StartupFiles/z*
+}
+
+pkg_postinst() {
+	if [[ -z ${REPLACING_VERSIONS} ]] ; then
+		echo
+		elog "If you want to enable Portage completions and Gentoo prompt,"
+		elog "emerge app-shells/gentoo-zsh-completions and add"
+		elog "	autoload -U compinit promptinit"
+		elog "	compinit"
+		elog "	promptinit; prompt gentoo"
+		elog "to your ~/.zshrc"
+		echo
+		elog "Also, if you want to enable cache for the completions, add"
+		elog "	zstyle ':completion::complete:*' use-cache 1"
+		elog "to your ~/.zshrc"
+		echo
+		elog "Note that a system zprofile startup file is installed. This will override"
+		elog "PATH and possibly other variables that a user may set in ~/.zshenv."
+		elog "Custom PATH settings and similar overridden variables can be moved to ~/.zprofile"
+		elog "or other user startup files that are sourced after the system zprofile."
+		echo
+		elog "If PATH must be set in ~/.zshenv to affect things like non-login ssh shells,"
+		elog "one method is to use a separate path-setting file that is conditionally sourced"
+		elog "in ~/.zshenv and also sourced from ~/.zprofile. For more information, see the"
+		elog "zshenv example in ${EROOT}/usr/share/doc/${PF}/StartupFiles/."
+		echo
+		elog "See https://wiki.gentoo.org/wiki/Zsh/HOWTO for more introduction documentation."
+		echo
+	fi
+}


             reply	other threads:[~2017-08-29 22:27 UTC|newest]

Thread overview: 161+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-08-29 22:26 Lars Wendler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-31 15:34 [gentoo-commits] repo/gentoo:master commit in: app-shells/zsh/ Andreas K. Hüttel
2024-08-28  1:18 Mike Gilbert
2024-08-28  1:17 Mike Gilbert
2024-08-17 17:15 Mike Gilbert
2024-04-27 11:16 Arthur Zamarin
2024-04-24 19:08 Sam James
2024-04-24 17:33 Arthur Zamarin
2024-04-24 17:33 Arthur Zamarin
2024-04-24 17:28 Arthur Zamarin
2024-04-24 17:26 Arthur Zamarin
2024-04-24 17:24 Sam James
2024-04-24 17:21 Arthur Zamarin
2023-09-17 19:43 Mike Gilbert
2023-09-03  2:40 Matthias Maier
2023-08-05  0:33 Sam James
2023-07-23 21:48 Sam James
2023-07-23 21:44 Sam James
2023-07-23 21:44 Sam James
2023-07-23 20:48 Sam James
2023-07-23 20:48 Sam James
2023-07-23 20:48 Sam James
2023-07-23 18:42 Arthur Zamarin
2023-06-11 15:34 Sam James
2023-05-29 23:50 Sam James
2023-05-14 17:11 Sam James
2023-05-14  7:26 Sam James
2023-04-24 20:13 Sam James
2023-03-23 16:09 David Seifert
2023-03-12 12:33 Piotr Karbowski
2023-03-12 12:33 Piotr Karbowski
2023-03-04 11:46 Arthur Zamarin
2023-01-27 12:19 Arthur Zamarin
2023-01-27 12:19 Arthur Zamarin
2023-01-27 12:19 Arthur Zamarin
2023-01-27 12:19 Arthur Zamarin
2023-01-27 12:19 Arthur Zamarin
2023-01-27 12:19 Arthur Zamarin
2022-11-26 21:58 Piotr Karbowski
2022-11-26 21:39 Piotr Karbowski
2022-07-22  7:49 Agostino Sarubbo
2022-07-22  7:47 Agostino Sarubbo
2022-07-22  7:47 Agostino Sarubbo
2022-07-22  7:46 Agostino Sarubbo
2022-07-22  7:46 Agostino Sarubbo
2022-07-22  7:44 Agostino Sarubbo
2022-07-22  7:43 Agostino Sarubbo
2022-07-04 23:24 Sam James
2022-07-03 18:33 Piotr Karbowski
2022-05-15 12:45 Lars Wendler
2022-05-15 12:45 Lars Wendler
2022-05-05  7:49 WANG Xuerui
2022-05-05  7:49 WANG Xuerui
2022-02-17  7:34 Agostino Sarubbo
2022-02-16 21:19 Arthur Zamarin
2022-02-16 20:58 Arthur Zamarin
2022-02-16 20:14 Arthur Zamarin
2022-02-16 20:11 Arthur Zamarin
2022-02-15 16:14 Sam James
2022-02-15 16:14 Sam James
2022-02-12 18:50 Lars Wendler
2021-09-10 14:30 Yixun Lan
2021-01-06 13:26 Fabian Groffen
2020-12-27 14:01 Fabian Groffen
2020-03-18 20:55 Lars Wendler
2020-03-16 18:25 Sergei Trofimovich
2020-03-14 21:51 Mart Raudsepp
2020-03-05 12:49 Agostino Sarubbo
2020-03-02 12:32 Agostino Sarubbo
2020-03-02 12:29 Agostino Sarubbo
2020-03-02 11:34 Sergei Trofimovich
2020-03-02 11:22 Sergei Trofimovich
2020-03-02 11:04 Sergei Trofimovich
2020-03-01 13:03 Agostino Sarubbo
2020-02-17  8:14 Lars Wendler
2020-02-17  8:14 Lars Wendler
2020-02-15 11:20 Mikle Kolyada
2020-01-27 10:25 Mikle Kolyada
2020-01-21 19:37 Sergei Trofimovich
2020-01-21 10:34 Agostino Sarubbo
2020-01-21 10:33 Agostino Sarubbo
2020-01-21  8:52 Agostino Sarubbo
2020-01-21  8:48 Agostino Sarubbo
2020-01-20 12:52 Agostino Sarubbo
2019-12-12  9:21 Lars Wendler
2019-11-17 22:10 Tim Harder
2019-09-18 23:32 Tim Harder
2019-09-18 23:32 Tim Harder
2019-07-24  8:06 Lars Wendler
2019-02-04 12:00 Lars Wendler
2019-01-27 22:54 Lars Wendler
2019-01-25 10:27 Lars Wendler
2019-01-25 10:27 Lars Wendler
2018-12-31  7:31 Mikle Kolyada
2018-12-30 20:24 Matt Turner
2018-12-23  3:25 Matt Turner
2018-12-08 11:52 Mikle Kolyada
2018-12-08  9:44 Sergei Trofimovich
2018-12-08  9:36 Sergei Trofimovich
2018-12-08  9:28 Sergei Trofimovich
2018-12-07 19:05 Mart Raudsepp
2018-12-07  2:41 Thomas Deutschmann
2018-12-05 20:02 Sergei Trofimovich
2018-12-03  6:46 Mikle Kolyada
2018-11-29 20:06 Sergei Trofimovich
2018-09-17  8:13 Lars Wendler
2018-09-15 12:33 Lars Wendler
2018-09-15 12:33 Lars Wendler
2018-09-11 10:32 Lars Wendler
2018-09-04  8:40 Lars Wendler
2018-07-24 13:24 Lars Wendler
2018-07-22  2:02 Mikle Kolyada
2018-07-21  9:47 Tobias Klausmann
2018-07-15 14:23 Thomas Deutschmann
2018-07-14 20:16 Sergei Trofimovich
2018-07-14 20:10 Sergei Trofimovich
2018-07-14 18:22 Sergei Trofimovich
2018-07-12  6:40 Mart Raudsepp
2018-07-11 21:35 Sergei Trofimovich
2018-07-11 21:10 Mikle Kolyada
2018-05-26 12:52 Mikle Kolyada
2018-04-20 21:27 Sergei Trofimovich
2018-04-19 20:55 Mikle Kolyada
2018-04-17 12:39 Tim Harder
2018-04-16 21:03 Sergei Trofimovich
2018-04-12 11:13 Jeroen Roovers
2018-04-12 10:29 Mart Raudsepp
2018-04-11 21:22 Sergei Trofimovich
2018-04-11 20:43 Thomas Deutschmann
2018-04-10 11:39 Mikle Kolyada
2018-04-10 11:32 Tobias Klausmann
2018-04-08 23:00 Tim Harder
2018-01-13  6:51 Mike Frysinger
2018-01-05 20:35 Sergei Trofimovich
2018-01-04 10:57 Lars Wendler
2018-01-04 10:57 Lars Wendler
2017-10-21 21:17 Sergei Trofimovich
2017-10-13 19:25 Sergei Trofimovich
2017-09-24 18:22 Sergei Trofimovich
2017-09-02 14:15 Michael Palimaka
2017-08-30  2:06 Tim Harder
2017-08-29 22:26 Lars Wendler
2017-08-29 22:26 Lars Wendler
2017-08-29 21:52 Lars Wendler
2017-08-29 21:39 Thomas Deutschmann
2017-08-28  4:42 Markus Meier
2017-08-25 22:34 Matt Turner
2017-08-25 21:19 Mikle Kolyada
2017-08-09 21:59 Sergei Trofimovich
2016-12-31  0:16 Tim Harder
2016-12-04 12:44 Lars Wendler
2016-09-15  5:08 Tim Harder
2016-09-15  5:03 Tim Harder
2016-07-25 20:46 Tim Harder
2016-02-01 15:58 Tobias Klausmann
2016-01-24  8:36 Jeroen Roovers
2016-01-17 17:52 Agostino Sarubbo
2016-01-17 13:20 Mikle Kolyada
2015-12-11 21:40 Manuel Rüger
2015-09-17  3:09 Tim Harder
2015-08-20 12:23 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1504045594.362bd5a6bd1fee31e38ee439fadb4e5ca7011b32.polynomial-c@gentoo \
    --to=polynomial-c@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox